Crawlzodocs
API referenceGoogle News

Google news local

News Google files under one place.

A place the edition has no local section for is a 404 rather than a generic national feed returned as if it were that city's news.

POST
/v1/scrapers/google-news-local-v4

Authorization

ApiKeyAuth
X-API-Key<token>

Your API key. Sent on every request.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/scrapers/google-news-local-v4" \  -H "Content-Type: application/json" \  -d '{    "location": "Mumbai",    "language": "en",    "country": "IN"  }'
{  "request_id": "req_8f2c1d94e7b0",  "success": true,  "status": {    "code": "OK",    "message": "Scrape completed.",    "retryable": false  },  "data": {    "articles": [      {        "google_news_url": "https://news.google.com/rss/articles/CBMi1wFBVV95cUxQRk9KaXRrdkNDcmpBSzZtZ2d4eG1jRXVLNlMwUHlZMjMtd0lVZk9abm5Pck1xNFhFSUhNcGRIeXJncGpyZWRwUkR0Zm94LUtUTnp2Z3pIdjNoYTJuUC1Rd2t4djFRN3pEMklDZzBQaHFOekNTWmtmM3lLSWRBYkdOMEZkZzJuZVhrMEM5RDA2UXljUm53eHN4YzRHZmFwU0ZZdkY0aVhCbUQtbHIyYjMxMWxGeDVoWWQ1UVNjVjFMS3RVeTVwaVltUEo1Tko0VjB… (+312 chars)",        "id": "CBMi1wFBVV95cUxQRk9KaXRrdkNDcmpBSzZtZ2d4eG1jRXVLNlMwUHlZMjMtd0lVZk9abm5Pck1xNFhFSUhNcGRIeXJncGpyZWRwUkR0Zm94LUtUTnp2Z3pIdjNoYTJuUC1Rd2t4djFRN3pEMklDZzBQaHFOekNTWmtmM3lLSWRBYkdOMEZkZzJuZVhrMEM5RDA2UXljUm53eHN4YzRHZmFwU0ZZdkY0aVhCbUQtbHIyYjMxMWxGeDVoWWQ1UVNjVjFMS3RVeTVwaVltUEo1Tko0VjBqbE00VFBKSdIB3gFBVV95cUxOUkllY0xHYXdx… (+275 chars)",        "published_at": "2026-08-23T03:52:15Z",        "publisher": "The Hindu",        "publisher_domain": "thehindu.com",        "publisher_url": "https://www.thehindu.com",        "title": "Ganesh idol falls during Mumbai procession, two dead, five injured"      },      {        "google_news_url": "https://news.google.com/rss/articles/CBMioAFBVV95cUxPTHlnVllJTjAyam50eWZkbHhCaTdkbzZqSTdVemFCRW9RTlJQUkdGMGNZeWRkRzZ1aHp6amZjVU1TR1psUVYxYkd0ajFVZVV5LThrMldQM1N0dlRaaW9KOERiMkVjZHh1elFVbWtKazJSc05WNnJHOU5teGEwTDBrUkJPMEE2ZFhMYzhpQktld1hhUndwbG5NbFRnT0xkVjVO",        "id": "CBMioAFBVV95cUxPTHlnVllJTjAyam50eWZkbHhCaTdkbzZqSTdVemFCRW9RTlJQUkdGMGNZeWRkRzZ1aHp6amZjVU1TR1psUVYxYkd0ajFVZVV5LThrMldQM1N0dlRaaW9KOERiMkVjZHh1elFVbWtKazJSc05WNnJHOU5teGEwTDBrUkJPMEE2ZFhMYzhpQktld1hhUndwbG5NbFRnT0xkVjVO",        "published_at": "2026-08-22T22:30:00Z",        "publisher": "Mumbai Mirror",        "publisher_domain": "mumbaimirror.indiatimes.com",        "publisher_url": "https://mumbaimirror.indiatimes.com",        "title": "The Gen-Z paradox"      },      "… 21 more items in the full response"    ],    "country": "IN",    "edition": "IN:en",    "language": "en",    "location": "Mumbai",    "returned": 23  },  "error": null,  "meta": {    "client_id": "client_abc123",    "scraper": "google-news-local-v4",    "billable": true,    "duration_ms": 2014  }}